<?php

namespace App\Http\Controllers;

use Session;
use URL;
use Auth;

use App\Page;
use App\MyApplications;

use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;

class ProfilController extends Controller
{
    public function showProfile()
    {

        $pageID = 13;

        $page = Page::find($pageID);

        // page META data ------------------------------------------------------------------ //
        $metaTitle = $page->title;
        $metaDescription = $page->meta_description;
        $metaKeywords = $page->meta_keywords;
        // page META data ------------------------------------------------------------------ //

        // OG tagovi ----------------------------------------------------------------------- //
        $ogType = 'article';
        $ogURL = URL::to('/').'/'.$page->slug;
        $ogImage = null;

        if ($page->image != null):
            $ogImage = $page->image;
        endif;
        // OG tagovi ----------------------------------------------------------------------- //

        $user = Auth::user();

        return view('auth.profil', compact('page','user',
                                                        'metaTitle','metaDescription','metaKeywords',
                                                        'ogType','ogURL','ogImage'));
    }
}
