<?php

namespace App\Http\Controllers;

use Session;
use URL;
use Auth;
use Storage;
use Carbon\Carbon;

use App\Page;
use App\MyApplications;
use App\Submission;

use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;

class SendReceiptController extends Controller
{

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    function __construct()
    {

        // Upload folder
        $this->folder = 'submissions';
    }

    public function showForm()
    {

        $pageID = 15;

        $page = Page::find($pageID);

        // page META data ------------------------------------------------------------------ //
        $metaTitle = $page->title;
        $metaDescription = $page->meta_description;
        $metaKeywords = $page->meta_keywords;
        // page META data ------------------------------------------------------------------ //

        // OG tagovi ----------------------------------------------------------------------- //
        $ogType = 'article';
        $ogURL = URL::to('/').'/'.$page->slug;
        $ogImage = null;

        if ($page->image != null):
            $ogImage = $page->image;
        endif;
        // OG tagovi ----------------------------------------------------------------------- //

        $user = Auth::user();

        return view('content.posalji_racun', compact('page','user',
                                                        'metaTitle','metaDescription','metaKeywords',
                                                        'ogType','ogURL','ogImage'));
    }

    public function uploadReceipt(Request $request)
    {
        $this->validate($request, [
            //'bi' => 'required',
            'bi' => 'required|unique:submissions,bi',
            //'file' => 'required|image|mimes:jpeg,png,jpg,gif,svg|max:10000'
        ]);

        // user ID
        $user_id = Auth::user()->id;

        // Submission Status
        $status = 0;

        // Submission Source
        $source = 'web';

        $bi = $request->input('bi');

        $sendReceipt = Submission::create([
            'user_id' => $user_id,
            'bi' => $bi,
            'status' => $status,
            'source' => $source
        ]);

        // IMG upload
        if (null !== request('file')):

            $file = $request->file('file');

            $imgNAME = $user_id.'-'.$sendReceipt->id.'-'.date_format(Carbon::now(),"dmYHis").'-'.$request->file->getClientOriginalName();


            $path = url('storage/'.$this->folder.'/').'/'.$imgNAME;
            $imgpath = $file->move(storage_path('app/public/'.$this->folder.'/'),$imgNAME);

            $post = Submission::where('id',$sendReceipt->id)
                                        ->update([
                                            'image' => $imgNAME
                                        ]);
        endif;

        if($sendReceipt):

            $rsp['msg'] = setting('site.rsp_send_submission_ok');
            $httpResponse = 200;

        else:

            $rsp['msg'] = __('site.msg_err');
            $httpResponse = 422;

        endif;

        return response()->json($rsp,$httpResponse);
    }
}
