<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Post extends Model
{
    protected $primaryKey = 'id';
    protected $table = 'posts';

    /**
     * The attributes that are mass assignable.
     *	
     * @var array
     */
    protected $fillable = [
        'author_id', 'category_id', 'title', 'excerpt', 'body', 'slug', 'post_image', 'post_file', 'status', 'featured', 'meta_description', 'meta_keywords'
    ];


    // relatioships
    public function author()
    {
        return $this->hasOne('App\User','id','author_id');
    }
    public function category()
    {
        return $this->hasOne('App\Category','id','category_id');
    }
}
