<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

use DB;

class SMSRequests extends Model
{
    protected $primaryKey = 'id';
    protected $table = 'sms_requests';

    /**
     * The attributes that are mass assignable.
     *	
     * @var array
     */
    protected $fillable = [
        'sms_phone', 'sms_msgid', 'sms_msg', 'submission_id', 'user_id', 'status'
    ];


    public static function addNewRequest($phone,$msgid,$msg,$submission_id,$user_id)
    {
        
        $NEWSMSRequest = SMSRequests::create([
            'sms_phone' => $phone,
            'sms_msgid' => $msgid,
            'sms_msg' => $msg,
            'submission_id' => $submission_id,
            'user_id' => $user_id,
            'status' => null
        ]);

        return $NEWSMSRequest;
    }

    public static function getSMSRequestBySubmissionIDandUserID($submission_id,$user_id)
    {

        $getSMSRequestDATA = SMSRequests::where('submission_id',$submission_id)
                                            ->where('user_id',$user_id)
                                            ->first();

        return $getSMSRequestDATA;
    }

    // relatioships
    public function user()
    {
        return $this->hasOne('App\User','id','user_id');
    }
    public function submission()
    {
        return $this->hasOne('App\Submission','id','submission_id');
    }
}
