<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Submission extends Model
{
    protected $primaryKey = 'id';
    protected $table = 'submissions';

    /**
     * The attributes that are mass assignable.
     *	
     * @var array
     */
    protected $fillable = [
        'user_id', 'bi', 'points', 'image', 'source', 'status'
    ];

    public static function submissionStatus()
    {
        $statuses = array(
            '0' => 'pending',
            '1' => 'approved',
            '2' => 'denied'
        );

        return $statuses;
    }

    public static function addNewSubmission($user_id,$bi,$source,$status)
    {
        
        $NEWSubmission = Submission::create([
            'user_id' => $user_id,
            'bi' => $bi,
            'source' => $source,
            'status' => $status
        ]);

        return $NEWSubmission;
    }

    
    // relatioships
    public function user()
    {
        return $this->hasOne('App\User','id','user_id');
    }
    public function smsRequest()
    {
        return $this->hasOne('App\SMSRequests','submission_id','id');
    }
}
