<?php

namespace App\Http\Controllers;

use DB;
use Session;
use Storage;
use Carbon\Carbon;
use Auth;

use App\User;

use Illuminate\Http\Request;

class CompetitorController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    function __construct()
    {
         $this->middleware('permission:competitor-list|competitor-create|competitor-edit|competitor-delete', ['only' => ['index','store']]);
         $this->middleware('permission:competitor-create', ['only' => ['create','store']]);
         $this->middleware('permission:competitor-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:competitor-delete', ['only' => ['destroy']]);
    }

/**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        // page header
        $title = __('dashboard.title_competitors');
        $route = null;
        $pageType = 'index';
        $canCreate = 'competitor-create';
        $canExport = null;

        $data = User::whereHas('roles', function ($query) {
                            return $query->whereIn('name',array('Competitor'));
                        })
                        ->orderBy('id','DESC')
                        ->paginate(10);

        return view('users.index',compact('title','route','pageType','canCreate','canExport',
                                            'data'))
                                    ->with('i', ($request->input('page', 1) - 1) * 10);
    }
}
