<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;

use Auth;
use Carbon\Carbon;
use DB;

use App\User;
use App\Submission;

class DashboardController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $danas = Carbon::now()->format('Y-m-d');
        // KPIs

        // Registered
        $regTotal_all = User::whereHas('roles', function ($query) {
                                return $query->whereIn('name',array('Competitor'));
                            })
                            ->get();

        $regKPI_count = $regTotal_all->count();

        $regKPI_today = $regTotal_all->where('created_at','<',Carbon::now()->addDays(1))
                                        ->where('created_at','>',$danas)
                                        ->count();

        // Submissions
        $sumbTotal_all = Submission::all();

        $submKPI_count = $sumbTotal_all->count();

        $submKPI_today = $sumbTotal_all->where('created_at','<',Carbon::now()->addDays(1))
                                        ->where('created_at','>',$danas)
                                        ->count();

        return view('dashboard.home', compact('regKPI_count','regKPI_today',
                                                'submKPI_count','submKPI_today'));
    }
}
