<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;

use App\Submission;
use App\ResultGroup;
use App\Settings;
use App\ResultsByPoints;

class ResultsByPointsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    function __construct()
    {
         $this->middleware('permission:result-list|result-create|result-edit|result-delete', ['only' => ['index','store']]);
         $this->middleware('permission:result-create', ['only' => ['create','store']]);
         $this->middleware('permission:result-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:result-delete', ['only' => ['destroy']]);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        // page header
        $title = __('dashboard.title_results');
        $route = route('result-groups.create');
        $pageType = 'index';
        $canCreate = '';
        // $canCreate = 'resultgroup-create';
        $canExport = 'submission-export';

        $submissionStatuses = Submission::submissionStatus();

        $resultGroups = ResultGroup::orderBy('group_order','ASC')->get();

        $weekSettings = Settings::settingsCompetitionWeeks();

        return view('results-by-points.index',compact('title','route','pageType','canCreate','canExport',
                                                        'resultGroups','submissionStatuses','weekSettings'));

    }
}
