<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Spatie\Permission\Traits\HasRoles;

class User extends Authenticatable
{
    use Notifiable,HasRoles;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'last_name', 'email', 'phone', 'address', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
    

    // relationships
    public function categories()
    {
        return $this->hasMany('App\Category','author_id','id');
    }
    public function posts()
    {
        return $this->hasMany('App\Posts','author_id','id');
    }
    public function pages()
    {
        return $this->hasMany('App\Page','author_id','id');
    }
    public function submissions()
    {
        return $this->hasMany('App\Submission','user_id','id')->orderBy('created_at','DESC');
    }

}