<?php

use App\User;
use App\Settings;


/**
 * Setting Helper - display setting value
 */
if (!function_exists('setting')) {
    function setting($key, $default = null)
    {
        // default value for settings
        $default = 'No settings found!! Check the key.';
        $value = $default;

        $setting = Settings::where('key_name',$key)->first();

        if ($setting):
            $value = $setting->value;
        endif;

        return $value;
    }
}

/**
 * Setting Helper - get setting object
 */
if (!function_exists('get_setting')) {
    function get_setting($key, $default = null)
    {
        // default value for settings
        $default = 'No settings found!! Check the key.';
        $value = $default;

        $setting = Settings::where('key_name',$key)->first();

        if ($setting):
            $value = $setting;
        endif;

        return $value;
    }
}

if (!function_exists('user_email')) {

    function user_email()
    {
        $user = Auth::user();

        return $user->email;
    }
}