@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @if (count($errors) > 0)
        <div class="alert alert-danger">
            <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
            </ul>
        </div>
    @endif

    <div class="row">

        <div class="col col-xl-12">

            <ul class="nav nav-tabs mb-3" id="ex1" role="tablist">
            @foreach ($groups as $gKey => $group)

                <li class="nav-item" role="{{ $gKey }}">
                    <a
                    class="nav-link {{ ($gKey == 'site')? 'active':'' }}"
                    id="ex1-tab-{{ $gKey }}"
                    data-mdb-toggle="tab"
                    href="#ex1-tabs-{{ $gKey }}"
                    role="tab"
                    aria-controls="ex1-tabs-{{ $gKey }}"
                    aria-selected="true"
                    >{{ $group }}</a
                    >
                </li>

            @endforeach
            </ul>

            <div class="tab-content" id="ex1-content">
            @foreach ($groups as $gKey => $group)

                <div
                class="tab-pane fade {{ ($gKey == 'site')? 'show active':'' }}"
                id="ex1-tabs-{{ $gKey }}"
                role="tabpanel"
                aria-labelledby="ex1-tab-{{ $gKey }}"
                >

                {!! Form::open(array('route' => 'app.update','method'=>'POST','enctype'=>'multipart/form-data')) !!}

                    <div class="card">

                        <div class="card-body">
        
                            <div class="row">
        
                                <div class="col">
                                
                                @php

                                    $settings = App\Settings::settingsByGroupID($gKey);

                                @endphp

                                @foreach ($settings as $sKey => $setting)

                                    @switch($setting->type)

                                        @case('text')
                                            
                                            <div class="row">
                                                <div class="col mb-4">
                                                    <div class="form-outline">
                                                        <input type="text" id="field_{{ $setting->key_name }}" class="form-control" name="{{ $setting->key_clean }}" value="{{ $setting->value }}" />
                                                        <label class="form-label" for="field_{{ $setting->key_name }}">{{ $setting->display_name }}</label>
                                                    </div>
                                                </div>
                                            </div>

                                            @break

                                        @case('textarea')
                                        
                                        <div class="row">
                                            <div class="col mb-4">
                                                <div class="form-outline">
                                                    <textarea class="form-control" id="field_{{ $setting->key_name }}" rows="4" name="{{ $setting->key_clean }}">{{ $setting->value }}</textarea>
                                                    <label class="form-label" for="field_{{ $setting->key_name }}">{{ $setting->display_name }}</label>
                                                </div>
                                            </div>
                                        </div>

                                        @break

                                        @case('datepicker')
                                            
                                            <div class="row">
                                                <div class="col mb-4">
                                                    <div class="form-outline">
                                                        <input type="text" id="field_{{ $setting->type }}_{{ $setting->key_name }}" class="form-control" name="{{ $setting->key_clean }}" value="{{ $setting->value }}" onkeydown="event.preventDefault()" />
                                                        <label class="form-label" for="field_{{ $setting->type }}_{{ $setting->key_name }}">{{ $setting->display_name }}</label>
                                                    </div>
                                                </div>
                                            </div>

                                            <field_datetime_picker></field_datetime_picker>

                                            @break

                                        @case('checkbox')
                                        
                                        <div class="row">
                                            <div class="col mb-4 ml-4">
                                                <div class="form-check form-switch">
                                                    <input type="hidden" name="{{ $setting->key_clean }}" value="0">
                                                    <input class="form-check-input" type="checkbox" role="switch" id="field_{{ $setting->key_name }}" name="{{ $setting->key_clean }}" value="1"  {{ ($setting->value == 1)? 'checked':'' }} />
                                                    <label class="form-check-label" for="field_{{ $setting->key_name }}">{{ $setting->display_name }}</label>
                                                </div>
                                            </div>
                                        </div>

                                        @break


                                        @default
                                            
                                    @endswitch

                                @endforeach

                                </div>

                                </div>

                        </div>

                    <div class="card-footer">

                    <div class="row">
                        <div class="col text-right">
                            <button type="submit" class="btn btn-primary px-5 col col-lg-6">@lang('dashboard.btn_submit')</button>
                        </div>
                    </div>

                    </div>

                    </div>

                </div>

                {!! Form::close() !!}

            @endforeach
            </div>


        </div>

    </div>

@endsection