@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    <div class="row">

        <div class="col col-xl-12">

            <div class="card">

                <div class="card-header"><label  class="fw-bold m-0">@lang('dashboard.title_name'):</label> {{ $category->name }}</div>

                <div class="card-body">

                    <div class="row">

                        <div class="col-xl-8">

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_parent_category'):</label>
                                        <div>{{ $category->pcat_name }}</div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_description'):</label>
                                        <div class="border p-1 rounded-1">{!! $category->description !!}</div>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="col-xl-4">

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_active'):</label>
                                        <div>
                                            @if ($category->active == 1)
                                            <i class="far fa-check-circle fa-lg text-success"></i>
                                            @else
                                            <i class="far fa-times-circle fa-lg text-muted"></i>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_slug'):</label>
                                        <div>/{{ $category->slug }}</div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <label class="fw-bold">@lang('dashboard.title_image'):</label>
                                    @if($category->cat_image != null)
                                    <div class="dsplIMG">
                                        <img src="/storage/categories/{{ $category->cat_image }}" class="img-fluid" title="{{ $category->name }}">
                                    </div>
                                    @endif
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_meta_description'):</label>
                                        <div>{{ $category->meta_description }}</div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_meta_keywords'):</label>
                                        <div>{{ $category->meta_keywords }}</div>
                                    </div>
                                </div>
                            </div>

                        </div>

                </div>

            </div>

        </div>

    </div>

@endsection