<nav id="sidebar">

    <div class="sidebar-header">
        <a class="navbar-brand" href="{{ url('/dashboard') }}">
            <img src="{{ asset('images/dashboard/admin-logo.svg') }}" alt="HP Nagradni Konkurs"> @lang('dashboard.title_site_admin')
        </a>
    </div>

    <div class="sidebar-body">

        <ul class="list-unstyled components">

            <li>
                <a class="nav-link" href="{{ URL::to('/') }}">@lang('dashboard.title_site')</a>
              </li>

            <li class="hasSub">
                <a href="#contestSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">@lang('dashboard.title_contest')</a>
                <ul class="collapse list-unstyled" id="contestSubmenu">

                    @can('submission-list')
                    <li><a class="nav-link" href="{{ route('submissions.index') }}">@lang('dashboard.title_submissions')</a></li>
                    @endcan

                    @can('competitor-list')
                    <li><a class="nav-link" href="{{ route('competitors.index') }}">@lang('dashboard.title_competitors')</a></li>
                    @endcan

                    @can('result-list')
                    {{-- <li><a class="nav-link" href="{{ route('results-by-points.index') }}">@lang('dashboard.title_results')</a></li> --}}
                    <li><a class="nav-link" href="{{ route('results.index') }}">@lang('dashboard.title_results')</a></li>
                    @endcan

                </ul>
            </li>

            @can('role-list','permission-list')
            <li class="hasSub">
                <a href="#contentSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">@lang('dashboard.title_content')</a>
                <ul class="collapse list-unstyled" id="contentSubmenu">

                    @can('category-list')
                    <li><a class="nav-link" href="{{ route('categories.index') }}">@lang('dashboard.title_categories')</a></li>
                    @endcan

                    @can('post-list')
                    <li><a class="nav-link" href="{{ route('posts.index') }}">@lang('dashboard.title_posts')</a></li>
                    @endcan

                    @can('page-list')
                    <li><a class="nav-link" href="{{ route('pages.index') }}">@lang('dashboard.title_pages')</a></li>
                    @endcan

                    @can('module-list')
                    <li><a class="nav-link" href="{{ route('modules.index') }}">@lang('dashboard.title_modules')</a></li>
                    @endcan

                    @can('themeposition-list')
                    <li><a class="nav-link" href="{{ route('theme-positions.index') }}">@lang('dashboard.title_theme_positions')</a></li>
                    @endcan

                </ul>
            </li>
            @endcan

            @can('role-list','permission-list')
            <li class="hasSub">
                <a href="#accessSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">@lang('dashboard.title_access')</a>
                <ul class="collapse list-unstyled" id="accessSubmenu">
                    @can('role-list')
                    <li><a class="nav-link" href="{{ route('roles.index') }}">@lang('dashboard.title_roles')</a></li>
                    @endcan
                    @can('permission-list')
                    <li><a class="nav-link" href="{{ route('permissions.index') }}">@lang('dashboard.title_permission')</a></li>
                    @endcan
                    @can('user-list')
                    <li><a class="nav-link" href="{{ route('users.index') }}">@lang('dashboard.title_users')</a></li>
                @endcan
                </ul>
            </li>
            @endcan

            @can('application-edit')
                <li>
                  <a class="nav-link" href="{{ route('app.index') }}">@lang('dashboard.title_application')</a>
                </li>
            @endcan

            @can('settings-list')
                <li>
                  <a class="nav-link" href="{{ route('settings.index') }}">@lang('dashboard.title_settings')</a>
                </li>
            @endcan
            <li>
                <a class="nav-link" href="{{ route('logout') }}"
                    onclick="event.preventDefault();
                    document.getElementById('logout-form').submit();">
                    {{ __('Logout') }}
                </a>
                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                    @csrf
                </form>
            </li>
        </ul>
    </div>
</nav>