@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif

    <table class="table table-hover table-sm">
        <thead>
            <tr>
                <th width="60px">@lang('dashboard.title_id')</th>
                <th>@lang('dashboard.title_title')</th>
                <th>@lang('dashboard.title_active')</th>
                <th width="130px">@lang('dashboard.title_action')</th>
            </tr>
        </thead>
        <tbody>
        @foreach ($modules as $i => $module)
            <tr>
                <td class="text-center">{{ $module->id }}</td>
                <td>{{ $module->title }}</td>
                <td class="text-center">
                    @if ($module->status == 1)
                    <i class="far fa-check-circle fa-lg text-success"></i>
                    @else
                    <i class="far fa-times-circle fa-lg text-muted"></i>
                    @endif
                </td>
                <td class="text-center">
                <a class="btn btn-info btn-sm  py-2 my-1" href="{{ route('modules.show',$module->id) }}"><i class="far fa-eye"></i></a>

                @can('module-edit')
                    <a class="btn btn-primary btn-sm  py-2 my-1" href="{{ route('modules.edit',$module->id) }}"><i class="far fa-edit"></i></a>
                @endcan

                @can('module-delete')

                    <btn_modal_delete
                        :data_del = "{{ json_encode($module) }}"
                        :data_route = "{{ json_encode(route('modules.destroy',$module->id)) }}"
                    ></btn_modal_delete>

                    @include('dashboard.modal_delete')

                @endcan

                </td>
            </tr>
        @endforeach
        </tbody>
    </table>

    {!! $modules->render() !!}

@endsection