@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @if (count($errors) > 0)
        <div class="alert alert-danger">
            <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
            </ul>
        </div>
    @endif

    <div class="row">

        <div class="col col-xl-6">

            {!! Form::open(array('route' => 'result-groups.store','method'=>'POST')) !!}

            <div class="card">

                <div class="card-body">

                    <h4 class="mb-4">@lang('dashboard.label_create_result_group')</h4>

                    <div class="row">
                        <div class="col-lg-8 mb-4">
                            <div class="form-outline">
                                <input type="text" id="formControlDefault" class="form-control" name="title" />
                                <label class="form-label" for="formControlDefault">@lang('dashboard.title_title'):</label>
                            </div>
                        </div>

                        <div class="col-lg-4">
                            <div class="form-outline">
                                <input type="text" id="formControlDefault" class="form-control" name="group_order" />
                                <label class="form-label" for="formControlDefault">@lang('dashboard.title_display_order'):</label>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="card-footer">

                    <div class="row">
                        <div class="col text-right">
                            <button type="submit" class="btn btn-primary px-5 col col-lg-6">@lang('dashboard.btn_submit')</button>
                        </div>
                    </div>

                </div>

            </div>

            {!! Form::close() !!}

        </div>

    </div>

@endsection