@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif

    <table class="table table-hover table-sm">
        <thead>
            <tr>
                <th width="60px">@lang('dashboard.title_number')</th>
                <th>@lang('dashboard.title_name')</th>
                <th width="130px">@lang('dashboard.title_action')</th>
            </tr>
        </thead>
        <tbody>
        @foreach ($roles as $key => $role)
            <tr>
                <td class="text-center">{{ ++$i }}</td>
                <td class="text-center">{{ $role->name }}</td>
                <td class="text-center">
                <a class="btn btn-info btn-sm  py-2 my-1" href="{{ route('roles.show',$role->id) }}"><i class="far fa-eye"></i></a>

                @can('role-edit')
                    <a class="btn btn-primary btn-sm  py-2 my-1" href="{{ route('roles.edit',$role->id) }}"><i class="far fa-edit"></i></a>
                @endcan

                @can('role-delete')

                    <btn_modal_delete
                        :data_del = "{{ json_encode($role) }}"
                        :data_route = "{{ json_encode(route('roles.destroy',$role->id)) }}"
                    ></btn_modal_delete>

                    @include('dashboard.modal_delete')

                @endcan
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>

    {!! $roles->render() !!}

@endsection