@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @if (count($errors) > 0)
    <div class="alert alert-danger">
        <ul>
        @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
        @endforeach
        </ul>
    </div>
    @endif

    <div class="row">

        <div class="col col-xl-6">

            {!! Form::open(array('route' => 'users.store','method'=>'POST')) !!}

            <div class="card">

                <div class="card-body">

                    <div class="row">
                        <div class="col mb-4">
                            <div class="form-outline">
                                <input type="text" id="formControlDefault" class="form-control" name="name" />
                                <label class="form-label" for="formControlDefault">@lang('dashboard.title_name'):</label>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col mb-4">

                            <div class="row">
                                <div class="col-6">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control" name="email" />
                                        <label class="form-label" for="formControlDefault">@lang('dashboard.title_email'):</label>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control" name="phone" />
                                        <label class="form-label" for="formControlDefault">@lang('dashboard.title_phone'):</label>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>

                    <div class="row">
                        <div class="col mb-4">

                            <div class="row">
                                <div class="col-6">
                                    <div class="form-outline">
                                        <input type="password" id="formControlDefault" class="form-control" name="confirm-password" />
                                        <label class="form-label" for="formControlDefault">@lang('dashboard.title_password'):</label>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-outline">
                                        <input type="password" id="formControlDefault" class="form-control" name="password" />
                                        <label class="form-label" for="formControlDefault">@lang('dashboard.title_password_confirm'):</label>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>

                    <div class="row">
                        <div class="col mb-4">

                            <div class="form-group">
                                <label>@lang('dashboard.title_roles'):</label>
                                <select name="roles[]" class="form-control" multiple>
                                    @foreach ($roles as $rKey => $role)
                                        <option value="{{ $rKey }}">{{ $role }}</option>
                                    @endforeach
                                </select>
                            </div>

                        </div>
                    </div>
    
                </div>

                <div class="card-footer">

                    <div class="row">
                        <div class="col text-right">
                            <button type="submit" class="btn btn-primary px-5 col col-lg-6">@lang('dashboard.btn_submit')</button>
                        </div>
                    </div>

                </div>
    
                {!! Form::close() !!}
    
            </div>
    
        </div>

    </div>
    
@endsection