@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    <div class="row">

        <div class="col col-xl-6">

            <div class="card">

                <div class="card-header"><label  class="fw-bold m-0">@lang('dashboard.title_name'):</label> {{ $user->name }}</div>

                <div class="card-body">

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <strong>@lang('dashboard.title_name'):</strong>
                                {{ $user->name }}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <strong>@lang('dashboard.title_email'):</strong>
                                {{ $user->email }}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <strong>@lang('dashboard.title_phone'):</strong>
                                {{ $user->phone }}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <strong>@lang('dashboard.title_roles'):</strong>
                                @if(!empty($user->getRoleNames()))
                                    @foreach($user->getRoleNames() as $v)
                                        <label class="badge badge-success">{{ $v }}</label>
                                    @endforeach
                                @endif
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">

                            <table class="table table-hover table-sm">
                                <thead>
                                    <tr>
                                        <th class="text-center" width="60px">@lang('site.title_no')</th>
                                        <th class="text-center">@lang('dashboard.title_pfr')</th>
                                        <th class="text-center">@lang('dashboard.title_points')</th>
                                        <th class="text-center">@lang('dashboard.title_image')</th>
                                        <th class="text-center">@lang('dashboard.title_status')</th>
                                        <th class="text-center">@lang('dashboard.title_source')</th>
                                        <th class="text-center">@lang('dashboard.title_applied')</th>
                                        <th class="text-center">@lang('dashboard.title_last_change')</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($user->submissions as $i => $application)
                                    <tr>
                                        <td class="text-center">{{ ++$i }}</td>
                                        <td class="text-center">{{ $application->bi }}</td>
                                        <td class="text-center">{{ $application->points }}</td>
                                        <td class="text-center">
                                            @if($application->image != null)
                                                <a href="/storage/submissions/{{ $application->image }}" data-lightbox="image-{{ $application->id }}" data-title="PFR: {{ $application->bi }}"><i class="far fa-image fa-2x text-dark"></i></a>
                                            @endif
                                        </td>
                                        <td class="text-center {{ $submissionStatuses[$application->status] }} fw-bold">{{ $submissionStatuses[$application->status] }}</td>
                                        <td class="text-center"><div class="">{{ $application->source }}</div></td>
                                        <td class="text-center">{{ date('d.m.Y H:i:s', strtotime($application->created_at)) }}</td>
                                        <td class="text-center">{{ date('d.m.Y H:i:s', strtotime($application->updated_at)) }}</td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>


                        </div>
                    </div>

                </div>

            </div>

        </div>

    </div>

@endsection