@extends('includes.master')

@section('content')

@include('includes.header')

<div class="container">

    <div class="row page-wrap justify-content-center">

        <div class="mainTitle">

            <h1>{{ $page->title }}</h1>

        </div>

        <div class="pageContent"> 

            <div class="row">

                <div class="col">

                    {!! $page-> body !!}

                    <table class="table table-hover table-sm">
                        <thead>
                            <tr>
                                <th class="text-center" width="60px">@lang('site.title_no')</th>
                                <th class="text-center">@lang('site.title_code')</th>
                                {{-- <th class="text-center">@lang('site.title_no_points')</th> --}}
                                <th class="text-center">@lang('site.title_receipt')</th>
                                <th class="text-center">@lang('site.title_status')</th>
                                <th class="text-center">@lang('site.title_applied')</th>
                                {{-- <th class="text-center">@lang('site.title_last_change')</th> --}}
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($myApplications as $i => $application)
                            <tr>
                                <td class="text-center">{{ ++$i }}</td>
                                <td class="text-center">{{ $application->bi }}</td>
                                {{-- <td class="text-center">{{ $application->points }}</td> --}}
                                <td class="text-center">
                                    @if($application->image != null)
                                        <a href="/storage/submissions/{{ $application->image }}" data-lightbox="image-{{ $application->id }}" data-title="Prijava BI: {{ $application->bi }}"><i class="far fa-image fa-2x text-dark"></i></a>
                                    @endif
                                </td>
                                <td class="text-center">{{ $submissionStatuses[$application->status] }}</td>
                                <td class="text-center">{{ date('d.m.Y H:i:s', strtotime($application->created_at)) }}</td>
                                {{-- <td class="text-center">{{ date('d.m.Y H:i:s', strtotime($application->updated_at)) }}</td> --}}
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    
                </div>

            </div>

        </div>

    </div>

</div>

@include('includes.footer')

@endsection