@extends('includes.master')

@section('content')

@include('includes.header')

<div class="container">

    <div class="row page-wrap lista-dobitnika justify-content-center">

        <div class="mainTitle">

            <h1>{{ $page->title }}</h1>

        </div>

        <div class="pageContent"> 

            <div class="row">

                <div class="col body-wrap">
                    {!! $page->body !!}
                    
                </div>

            </div>

            {{-- @if ((Auth::check() && auth()->user()->can('result-list')) || setting('competition.standings_on_finalist_page') == 1) --}}
            @if (setting('competition.standings_on_finalist_page') == 1)

            <div class="row mt-5">

                <div class="col col-12">
        
                    <ul class="nav nav-tabs nav-justified" id="ex1" role="tablist">
                        @foreach ($resultGroups as $rg => $group)

                        @if(
                            ($group->group_order == 1 && setting('competition.first_week_finalist') == '1') ||
                            ($group->group_order == 2 && setting('competition.second_week_finalist') == '1') ||
                            ($group->group_order == 3 && setting('competition.third_week_finalist') == '1') ||
                            ($group->group_order == 4 && setting('competition.fourth_week_finalist') == '1') ||
                            ($group->group_order == 5 && setting('competition.finals_finalist') == '1')
                        )
            
                        <li class="nav-item" role="rg_{{ $group->id }}">
                            <a
                            class="nav-link {{ ($rg == 0)? 'active':'' }}"
                            id="ex1-tab-{{ $group->id }}"
                            data-mdb-toggle="tab"
                            href="#ex1-tabs-{{ $group->id }}"
                            role="tab"
                            aria-controls="ex1-tabs-{{ $group->id }}"
                            aria-selected="true"
                            >{{ $group->title }}</a
                            >
                        </li>

                        @endif
            
                        @endforeach
                    </ul>
        
                    <div class="tab-content" id="ex1-content">
                        @foreach ($resultGroups as $rg => $group)

                            @if(
                                ($group->group_order == 1 && setting('competition.first_week_finalist') == '1') ||
                                ($group->group_order == 2 && setting('competition.second_week_finalist') == '1') ||
                                ($group->group_order == 3 && setting('competition.third_week_finalist') == '1') ||
                                ($group->group_order == 4 && setting('competition.fourth_week_finalist') == '1') ||
                                ($group->group_order == 5 && setting('competition.finals_finalist') == '1')
                            )
            
                            <div
                            class="tab-pane fade {{ ($rg == 0)? 'show active':'' }}"
                            id="ex1-tabs-{{ $group->id }}"
                            role="tabpanel"
                            aria-labelledby="ex1-tab-{{ $group->id }}"
                            >
        
                                <div class="row">
        
                                    <div class="col">
        
                                        <div class="accordion" id="accordionResultItems">
        
                                            @foreach ($group->resultItems as $item)
        
                                                <div class="accordion-item">
                                                    <h2 class="accordion-header" id="heading_{{ $item->id }}">
                                                    <button
                                                        class="accordion-button collapsed"
                                                        type="button"
                                                        data-mdb-toggle="collapse"
                                                        data-mdb-target="#collapse_{{ $item->id }}"
                                                        aria-expanded="false"
                                                        aria-controls="collapse_{{ $item->id }}"
                                                    >
                                                        <span>{{ $item->title }}</span>
                                                    </button>
                                                    </h2>
                                                    <div id="collapse_{{ $item->id }}" class="accordion-collapse collapse" aria-labelledby="heading_{{ $item->id }}" data-mdb-parent="#accordionExample">
                                                    <div class="accordion-body">
        
                                                        <div class="row">
                                                            <div class="col">
        
                                                                {!! $item->body !!}
        
                                                            </div>
                                                        </div>
                                                    </div>
                                                    </div>
                                                </div>
                                                
                                            @endforeach
        
                                        </div>
        
                                    </div>
        
                                </div>
        
                            </div>
                            @endif
            
            
                        @endforeach
                    </div>
        
        
                </div>
        
            </div>
            @endif

        </div>

    </div>

</div>

@php
// echo '<pre>';
// print_r($resultGroups);
// echo '</pre>';
@endphp

@include('includes.footer')

@endsection