@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    <div class="row">

        <div class="col col-xl-12">

            <div class="card">

                <div class="card-header"><label  class="fw-bold m-0">@lang('dashboard.title_name'):</label> {{ $module->title }}</div>

                <div class="card-body">

                    <div class="row">

                        <div class="col-xl-8">

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_body'):</label>
                                        <div class="border p-1 rounded-1">{!! $module->body !!}</div>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="col-xl-4">

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_active'):</label>
                                        <div>
                                            @if ($module->status == 1)
                                            <i class="far fa-check-circle fa-lg text-success"></i>
                                            @else
                                            <i class="far fa-times-circle fa-lg text-muted"></i>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_display_order'):</label>
                                        <div>{{ $module->module_order }}</div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_theme_position'):</label>
                                        <div>{{ $module->themePosition->name }}</div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_category'):</label>
                                        <div>
                                            @if(null !== $module->category_id )
                                            {{ $module->category->name }}
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_posts'):</label>
                                        <div>
                                            @if(null !== $module->post_id )
                                                {{ $module->post->title }}
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_number_of_posts'):</label>
                                        <div>{{ $module->no_of_posts }}</div>
                                    </div>
                                </div>
                            </div>


                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_page'):</label>
                                        <div>
                                            @if(null !== $module->page_id )
                                                {{ $module->page->title }}
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_url'):</label>
                                        <div>{{ $module->module_url }}</div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_target'):</label>
                                        <div>
                                            @if($module->module_url_target == '_self')
                                                @lang('dashboard.title_target_self')
                                            @elseif ($module->module_url_target == '_blank')
                                                @lang('dashboard.title_target_blank')
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>

                            @if($module->module_image != null)
                            <div class="row">
                                <div class="col">
                                    
                                    <label class="fw-bold">@lang('dashboard.title_image'):</label>
                                    <div class="dsplIMG">
                                        <img src="/storage/modules/{{ $module->module_image }}" class="img-fluid" title="{{ $module->title }}">
                                    </div>

                                </div>
                            </div>
                            @endif

                            @if($module->back_image != null)
                            <div class="row">
                                <div class="col mb-4">

                                    <label class="fw-bold">@lang('dashboard.title_background_image'):</label>
                                    <div class="dsplIMG">
                                        <img src="/storage/modules/{{ $module->back_image }}" class="img-fluid" title="{{ $module->title }}">
                                    </div>

                                </div>
                            </div>
                            @endif

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_background_color'):</label>
                                        <div>{{ $module->back_color }}</div>
                                    </div>
                                </div>
                            </div>


                        </div>

                </div>

            </div>

        </div>

    </div>

@endsection