@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')


    @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <div class="row">

        <div class="col col-xl-6">

            <form action="{{ route('permissions.update',$permission->id) }}" method="POST">
                @csrf
                @method('PUT')

            <div class="card">

                <div class="card-body">

                    <div class="row">
                        <div class="col mb-4">
                            <div class="form-outline">
                                <input type="text" id="formControlDefault" class="form-control" name="name" value="{{ $permission->name }}" />
                                <label class="form-label" for="formControlDefault">@lang('dashboard.title_name'):</label>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="card-footer">

                    <div class="row">
                        <div class="col text-right">
                            <button type="submit" class="btn btn-primary px-5 col col-lg-6">@lang('dashboard.btn_submit')</button>
                        </div>
                    </div>

                </div>

            </div>

            </form>

        </div>

    </div>

@endsection