@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')


    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif


    <table class="table table-hover table-sm">
        <thead>
            <tr>
                <th width="60px">No</th>
                <th>Name</th>
                <th>Details</th>
                <th width="110px">Action</th>
            </tr>
        </thead>
        <tbody>
	    @foreach ($products as $product)
            <tr>
                <td class="text-center">{{ ++$i }}</td>
                <td>{{ $product->name }}</td>
                <td>{{ $product->detail }}</td>
                <td class="text-center">
                        <a class="btn btn-info btn-sm py-2 my-1" href="{{ route('products.show',$product->id) }}"><i class="far fa-eye"></i></a>

                        @can('product-edit')
                        <a class="btn btn-primary btn-sm py-2 my-1" href="{{ route('products.edit',$product->id) }}"><i class="far fa-edit"></i></a>
                        @endcan

                        @can('permission-delete')
                        {!! Form::open(['method' => 'DELETE','route' => ['products.destroy', $product->id],'style'=>'display:inline']) !!}
                            <button class="btn btn-danger btn-sm py-2 my-1"><i class="far fa-trash-alt"></i></button>
                        {!! Form::close() !!}
                        @endcan
                </td>
            </tr>
	    @endforeach
        </tbody>
    </table>


    {!! $products->links() !!}

@endsection