@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')


    @if (count($errors) > 0)
        <div class="alert alert-danger">
            <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
            </ul>
        </div>
    @endif


    <div class="row">

        <div class="col col-xl-6">

            {!! Form::model($themePosition, ['method' => 'PATCH','route' => ['theme-positions.update', $themePosition->id]]) !!}

            <div class="card">

                <div class="card-body">

                    <div class="row">
                        <div class="col mb-4">
                            <div class="form-outline">
                                <input type="text" id="formControlDefault" class="form-control" name="name" value="{{ $themePosition->name }}" />
                                <label class="form-label" for="formControlDefault">@lang('dashboard.title_name'):</label>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label class="fw-bold">@lang('dashboard.title_description'):</label>
                                <textarea id="description" name="description">{!! $themePosition->description !!}</textarea>
                            </div>
                        </div>
                    </div>
                    
                </div>

                <div class="card-footer">

                    <div class="row">
                        <div class="col text-right">
                            <button type="submit" class="btn btn-primary px-5 col col-lg-6">@lang('dashboard.btn_submit')</button>
                        </div>
                    </div>

                </div>

            </div>

            {!! Form::close() !!}

        </div>

    </div>

    <tinymce
        :data_tm = "{{ json_encode($tm) }}"
    >
    </tinymce>

@endsection